<?php

namespace App\Helpers;

use Illuminate\Support\Facades\Auth;

use App\Models\Page;

class PageBlocksHelper
{
    public static function fetchTotalUsers() { }

    public static function fetchTotalMembers() { }

    public static function fetchAvatarCollection() { }

    public static function mainMenuLinks() {
        if (Auth::check()) {
            return Page::where('is_published', true)
                ->where('main', false)
                ->where('linked', true)
                ->orderByDesc('linkorder')
                ->get();
        }

        return Page::where('is_published', true)
            ->where('main', false)
            ->where('linked', true)
            ->where('visibility', 'public')
            ->orderByDesc('linkorder')
            ->get();
    }

    public static function sponsors() { }

    public static function partners() { }

    public static function contingent() { }

    public static function articles() { }

    public static function events() { }
}